Index: svn/src/cpu/amd/model_fxx/powernow_acpi.c
===================================================================
--- svn.orig/src/cpu/amd/model_fxx/powernow_acpi.c
+++ svn/src/cpu/amd/model_fxx/powernow_acpi.c
@@ -156,14 +156,14 @@ static int pstates_algorithm(u32 pcontro
 	v[10] = cpuid1.ecx;
 	v[11] = cpuid1.edx;
 	processor_brand[48] = 0;
-	printk(BIOS_INFO, "processor_brand=%s\n", processor_brand);
+	printk(INFO, "processor_brand=%s\n", processor_brand);
 
 	/*
 	 * Based on the CPU socket type,cmp_cap and pwr_lmt , get the power limit.
 	 * socket_type : 0x10 SocketF; 0x11 AM2/ASB1 ; 0x12 S1G1
 	 * cmp_cap : 0x0 SingleCore ; 0x1 DualCore
 	 */
-	printk(BIOS_INFO, "Pstates Algorithm ...\n");
+	printk(INFO, "Pstates Algorithm ...\n");
 	cmp_cap =
 	    (pci_read_config16(dev_find_slot(0, PCI_DEVFN(0x18, 3)), 0xE8) &
 	     0x3000) >> 12;
@@ -181,7 +181,7 @@ static int pstates_algorithm(u32 pcontro
 	/* See if the CPUID(0x80000007) returned EDX[2:1]==11b */
 	cpuid1 = cpuid(0x80000007);
 	if ((cpuid1.edx & 0x6) != 0x6) {
-		printk(BIOS_INFO, "No valid set of P-states\n");
+		printk(INFO, "No valid set of P-states\n");
 		goto write_pstates;
 	}
 
@@ -204,7 +204,7 @@ static int pstates_algorithm(u32 pcontro
 		PstateStep_coef = 2;
 
 	if (IntPstateSup == 0) {
-		printk(BIOS_INFO, "No intermediate P-states are supported\n");
+		printk(INFO, "No intermediate P-states are supported\n");
 		goto write_pstates;
 	}
 
@@ -352,12 +352,12 @@ static int pstates_algorithm(u32 pcontro
 	/* Print Pstate freq,vid,volt,power */
 
 	for (index = 0; index < Pstate_num; index++) {
-		printk(BIOS_INFO, "Pstate_freq[%d] = %dMHz\t", index,
+		printk(INFO, "Pstate_freq[%d] = %dMHz\t", index,
 			    Pstate_feq[index]);
-		printk(BIOS_INFO, "Pstate_vid[%d] = %d\t", index, Pstate_vid[index]);
-		printk(BIOS_INFO, "Pstate_volt[%d] = %dmv\t", index,
+		printk(INFO, "Pstate_vid[%d] = %d\t", index, Pstate_vid[index]);
+		printk(INFO, "Pstate_volt[%d] = %dmv\t", index,
 			    Pstate_volt[index]);
-		printk(BIOS_INFO, "Pstate_power[%d] = %dmw\n", index,
+		printk(INFO, "Pstate_power[%d] = %dmw\n", index,
 			    Pstate_power[index]);
 	}
 
Index: svn/src/cpu/amd/model_fxx/processor_name.c
===================================================================
--- svn.orig/src/cpu/amd/model_fxx/processor_name.c
+++ svn/src/cpu/amd/model_fxx/processor_name.c
@@ -443,7 +443,7 @@ int init_processor_name(void)
 		}
 	}
 	
-	printk(BIOS_DEBUG, "CPU model %s\n", program_string);
+	printk(DEBUG, "CPU model %s\n", program_string);
 
 	for (i=0; i<6; i++) {
 		progmsr.lo = program_values[(2*i)+0];
Index: svn/src/cpu/amd/model_gx2/cpubug.c
===================================================================
--- svn.orig/src/cpu/amd/model_gx2/cpubug.c
+++ svn/src/cpu/amd/model_gx2/cpubug.c
@@ -169,7 +169,7 @@ eng2900(void)
 {
 	msr_t msr;
 
-	printk(BIOS_DEBUG, "CPU_BUG:%s\n", __func__);
+	printk(DEBUG, "CPU_BUG:%s\n", __func__);
 	/* Clear bit 43, disables the sysenter/sysexit in CPUID3 */
 	msr = rdmsr(0x3003);
 	msr.hi &= 0xFFFFF7FF;
@@ -356,10 +356,10 @@ cpubug(void)
 
 	rev = msr.lo & 0xff;
 	if (rev < 0x20) {
-		printk(BIOS_ERR, "%s: rev < 0x20! bailing!\n", __func__);
+		printk(ERROR, "%s: rev < 0x20! bailing!\n", __func__);
 		return;
 	}
-	printk(BIOS_DEBUG, "Doing cpubug fixes for rev 0x%x\n", rev);
+	printk(DEBUG, "Doing cpubug fixes for rev 0x%x\n", rev);
 	switch(rev)
 	{
 		case 0x20:
@@ -379,11 +379,11 @@ cpubug(void)
 		case 0x30: 
 			break;
 		default:
-			printk(BIOS_ERR, "unknown rev %x, bailing\n", rev);
+			printk(ERROR, "unknown rev %x, bailing\n", rev);
 			return;
 	}
 	bug784();
 	bug118253();
 	disablememoryreadorder();
-	printk(BIOS_DEBUG, "Done cpubug fixes \n");
+	printk(DEBUG, "Done cpubug fixes \n");
 }
Index: svn/src/cpu/amd/model_gx2/model_gx2_init.c
===================================================================
--- svn.orig/src/cpu/amd/model_gx2/model_gx2_init.c
+++ svn/src/cpu/amd/model_gx2/model_gx2_init.c
@@ -19,7 +19,7 @@ static void vsm_end_post_smi(void)
 
 static void model_gx2_init(device_t dev)
 {
-	printk(BIOS_DEBUG, "model_gx2_init\n");
+	printk(DEBUG, "model_gx2_init\n");
 
 	/* Turn on caching if we haven't already */
 	x86_enable_cache();
@@ -29,7 +29,7 @@ static void model_gx2_init(device_t dev)
 
 	vsm_end_post_smi();
 
-	printk(BIOS_DEBUG, "model_gx2_init DONE\n");
+	printk(DEBUG, "model_gx2_init DONE\n");
 };
 
 static struct device_operations cpu_dev_ops = {
Index: svn/src/cpu/amd/model_gx2/vsmsetup.c
===================================================================
--- svn.orig/src/cpu/amd/model_gx2/vsmsetup.c
+++ svn/src/cpu/amd/model_gx2/vsmsetup.c
@@ -187,16 +187,16 @@ void do_vsmbios(void)
 	unsigned char *buf;
 	int i;
 
-	printk(BIOS_ERR,  "do_vsmbios\n");
+	printk(ERROR,  "do_vsmbios\n");
 	/* Clear VSM BIOS data area. */
 	for (i = 0x400; i < 0x500; i++)
 		*(volatile unsigned char *)i = 0;
 	if ((unsigned int)cbfs_load_stage("vsa") != VSA2_ENTRY_POINT) {
-		printk(BIOS_ERR, "do_vsmbios: Failed to load VSA.\n");
+		printk(ERROR, "do_vsmbios: Failed to load VSA.\n");
 	}
 	buf = VSA2_BUFFER;
 
-	printk(BIOS_DEBUG, "buf[0x20] signature is %x:%x:%x:%x\n",
+	printk(DEBUG, "buf[0x20] signature is %x:%x:%x:%x\n",
 	       buf[0x20], buf[0x21], buf[0x22], buf[0x23]);
 	/* Check for POST code at start of vsainit.bin. If you don't see it,
 	 * don't bother.
@@ -207,7 +207,7 @@ void do_vsmbios(void)
 	}
 
 	/* ecx gets smm, edx gets sysm. */
-	printk(BIOS_ERR, "Call real_mode_switch_call_vsm\n");
+	printk(ERROR, "Call real_mode_switch_call_vsm\n");
 //	real_mode_switch_call_vsm(MSR_GLIU0_SMM, MSR_GLIU0_SYSMEM);
 
 	/* Restart Timer 1. */
@@ -216,7 +216,7 @@ void do_vsmbios(void)
 
 	/* Check that VSA is running OK. */
 	if (VSA_vrRead(SIGNATURE) == VSA2_SIGNATURE)
-		printk(BIOS_DEBUG, "do_vsmbios: VSA2 VR signature verified\n");
+		printk(DEBUG, "do_vsmbios: VSA2 VR signature verified\n");
 	else
 		die("FATAL: VSA2 VR signature not valid, install failed!\n");
 }
Index: svn/src/cpu/amd/model_lx/cache_as_ram.inc
===================================================================
--- svn.orig/src/cpu/amd/model_lx/cache_as_ram.inc
+++ svn/src/cpu/amd/model_lx/cache_as_ram.inc
@@ -271,7 +271,7 @@ crt_console_tx_string:
 	jmp crt_console_tx_string
 #endif /* __CRT_CONSOLE_TX_STRING */
 
-#if defined(CONSOLE_DEBUG_TX_STRING) && (ASM_CONSOLE_LOGLEVEL > BIOS_DEBUG)
+#if defined(CONSOLE_DEBUG_TX_STRING) && (ASM_CONSOLE_LOGLEVEL > DEBUG)
 .section ".rom.data"
 #if CONFIG_COMPRESS
 str_copying_to_ram:  .string "Uncompressing coreboot to ram.\r\n"
@@ -281,6 +281,6 @@ str_copying_to_ram:  .string "Copying co
 str_pre_main:        .string "Jumping to coreboot.\r\n"
 .previous
 
-#endif /* ASM_CONSOLE_LOGLEVEL > BIOS_DEBUG */
+#endif /* ASM_CONSOLE_LOGLEVEL > DEBUG */
 str_coreboot_ram_name:	.ascii CONFIG_CBFS_PREFIX
 			.string "/coreboot_ram"
Index: svn/src/cpu/amd/model_lx/cpubug.c
===================================================================
--- svn.orig/src/cpu/amd/model_lx/cpubug.c
+++ svn/src/cpu/amd/model_lx/cpubug.c
@@ -87,5 +87,5 @@ void cpubug(void)
 {
 	pcideadlock();
 	disablememoryreadorder();
-	printk(BIOS_DEBUG, "Done cpubug fixes \n");
+	printk(DEBUG, "Done cpubug fixes \n");
 }
Index: svn/src/cpu/amd/model_lx/model_lx_init.c
===================================================================
--- svn.orig/src/cpu/amd/model_lx/model_lx_init.c
+++ svn/src/cpu/amd/model_lx/model_lx_init.c
@@ -40,7 +40,7 @@ static void vsm_end_post_smi(void)
 
 static void model_lx_init(device_t dev)
 {
-	printk(BIOS_DEBUG, "model_lx_init\n");
+	printk(DEBUG, "model_lx_init\n");
 
 	/* Turn on caching if we haven't already */
 	x86_enable_cache();
@@ -52,11 +52,11 @@ static void model_lx_init(device_t dev)
 	vsm_end_post_smi();
 
 	// Set gate A20 (legacy vsm disables it in late init)
-	printk(BIOS_DEBUG, "A20 (0x92): %d\n", inb(0x92));
+	printk(DEBUG, "A20 (0x92): %d\n", inb(0x92));
 	outb(0x02, 0x92);
-	printk(BIOS_DEBUG, "A20 (0x92): %d\n", inb(0x92));
+	printk(DEBUG, "A20 (0x92): %d\n", inb(0x92));
 
-	printk(BIOS_DEBUG, "CPU model_lx_init DONE\n");
+	printk(DEBUG, "CPU model_lx_init DONE\n");
 };
 
 static struct device_operations cpu_dev_ops = {
Index: svn/src/cpu/amd/model_lx/vsmsetup.c
===================================================================
--- svn.orig/src/cpu/amd/model_lx/vsmsetup.c
+++ svn/src/cpu/amd/model_lx/vsmsetup.c
@@ -274,7 +274,7 @@ void do_vsmbios(void)
 	unsigned int size = SMM_SIZE * 1024;
 	int i;
 
-	printk(BIOS_ERR, "do_vsmbios\n");
+	printk(ERROR, "do_vsmbios\n");
 	/* clear vsm bios data area */
 	for (i = 0x400; i < 0x500; i++) {
 		*(volatile unsigned char *)i = 0;
@@ -288,23 +288,23 @@ void do_vsmbios(void)
 	 */
 
 	if ((unsigned int)cbfs_load_stage("vsa") != VSA2_ENTRY_POINT) {
-		printk(BIOS_ERR, "do_vsmbios: Failed to load VSA.\n");
+		printk(ERROR, "do_vsmbios: Failed to load VSA.\n");
 	}
 	buf = (unsigned char *)VSA2_BUFFER;
-	printk(BIOS_DEBUG, "buf %p *buf %d buf[256k] %d\n",
+	printk(DEBUG, "buf %p *buf %d buf[256k] %d\n",
 		     buf, buf[0], buf[SMM_SIZE * 1024]);
-	printk(BIOS_DEBUG, "buf[0x20] signature is %x:%x:%x:%x\n",
+	printk(DEBUG, "buf[0x20] signature is %x:%x:%x:%x\n",
 		     buf[0x20], buf[0x21], buf[0x22], buf[0x23]);
 	/* check for post code at start of vsainit.bin. If you don't see it,
 	   don't bother. */
 	if ((buf[0x20] != 0xb0) || (buf[0x21] != 0x10) ||
 	    (buf[0x22] != 0xe6) || (buf[0x23] != 0x80)) {
-		printk(BIOS_ERR, "do_vsmbios: no vsainit.bin signature, skipping!\n");
+		printk(ERROR, "do_vsmbios: no vsainit.bin signature, skipping!\n");
 		return;
 	}
 
 	/* ecx gets smm, edx gets sysm */
-	printk(BIOS_ERR, "Call real_mode_switch_call_vsm\n");
+	printk(ERROR, "Call real_mode_switch_call_vsm\n");
 	real_mode_switch_call_vsm(MSR_GLIU0_SMM, MSR_GLIU0_SYSMEM);
 
 	/* restart timer 1 */
@@ -313,9 +313,9 @@ void do_vsmbios(void)
 
 	// check that VSA is running OK
 	if (VSA_vrRead(SIGNATURE) == VSA2_SIGNATURE)
-		printk(BIOS_DEBUG, "do_vsmbios: VSA2 VR signature verified\n");
+		printk(DEBUG, "do_vsmbios: VSA2 VR signature verified\n");
 	else
-		printk(BIOS_ERR, "do_vsmbios: VSA2 VR signature not valid, install failed!\n");
+		printk(ERROR, "do_vsmbios: VSA2 VR signature not valid, install failed!\n");
 }
 
 // we had hoped to avoid this.
@@ -494,30 +494,30 @@ int biosint(unsigned long intnumber,
 	cs = cs_ip >> 16;
 	flags = stackflags;
 
-	printk(BIOS_DEBUG, "biosint: INT# 0x%lx\n", intnumber);
-	printk(BIOS_DEBUG, "biosint: eax 0x%lx ebx 0x%lx ecx 0x%lx edx 0x%lx\n",
+	printk(DEBUG, "biosint: INT# 0x%lx\n", intnumber);
+	printk(DEBUG, "biosint: eax 0x%lx ebx 0x%lx ecx 0x%lx edx 0x%lx\n",
 		     eax, ebx, ecx, edx);
-	printk(BIOS_DEBUG, "biosint: ebp 0x%lx esp 0x%lx edi 0x%lx esi 0x%lx\n",
+	printk(DEBUG, "biosint: ebp 0x%lx esp 0x%lx edi 0x%lx esi 0x%lx\n",
 		     ebp, esp, edi, esi);
-	printk(BIOS_DEBUG, "biosint:  ip 0x%x   cs 0x%x  flags 0x%x\n",
+	printk(DEBUG, "biosint:  ip 0x%x   cs 0x%x  flags 0x%x\n",
 		     (u32)ip, (u32)cs, (u32)flags);
-	printk(BIOS_DEBUG, "biosint: gs 0x%x fs 0x%x ds 0x%x es 0x%x\n",
+	printk(DEBUG, "biosint: gs 0x%x fs 0x%x ds 0x%x es 0x%x\n",
 		     (u16)(gsfs >> 16), (u16)(gsfs & 0xffff), (u16)(dses >> 16), (u16)(dses & 0xffff));
 
 	// cases in a good compiler are just as good as your own tables.
 	switch (intnumber) {
 	case 0 ... 15:
 		// These are not BIOS service, but the CPU-generated exceptions
-		printk(BIOS_INFO, "biosint: Oops, exception 0x%x\n", (u32)intnumber);
+		printk(INFO, "biosint: Oops, exception 0x%x\n", (u32)intnumber);
 		if (esp < 0x1000) {
-			printk(BIOS_DEBUG, "Stack contents: ");
+			printk(DEBUG, "Stack contents: ");
 			while (esp < 0x1000) {
-				printk(BIOS_DEBUG, "0x%04x ", *(unsigned short *)esp);
+				printk(DEBUG, "0x%04x ", *(unsigned short *)esp);
 				esp += 2;
 			}
-			printk(BIOS_DEBUG, "\n");
+			printk(DEBUG, "\n");
 		}
-		printk(BIOS_DEBUG, "biosint: Bailing out ... not now\n");
+		printk(DEBUG, "biosint: Bailing out ... not now\n");
 		// "longjmp"
 		//vga_exit();
 		break;
@@ -536,7 +536,7 @@ int biosint(unsigned long intnumber,
 				  &ebx, &edx, &ecx, &eax, &flags);
 		break;
 	default:
-		printk(BIOS_INFO, "BIOSINT: Unsupported int #0x%x\n", (u32)intnumber);
+		printk(INFO, "BIOSINT: Unsupported int #0x%x\n", (u32)intnumber);
 		break;
 	}
 	if (ret)
@@ -647,7 +647,7 @@ pcibios(unsigned long *pedi, unsigned lo
 				// devfn is an int, so we mask it off.
 				busdevfn = (dev->bus->secondary << 8)
 				    | (dev->path.pci.devfn & 0xff);
-				printk(BIOS_DEBUG, "0x%x: return 0x%x\n", func,
+				printk(DEBUG, "0x%x: return 0x%x\n", func,
 					     busdevfn);
 				*pebx = busdevfn;
 				retval = 0;
@@ -674,7 +674,7 @@ pcibios(unsigned long *pedi, unsigned lo
 			reg = *pedi;
 			dev = dev_find_slot(bus, devfn);
 			if (!dev) {
-				printk(BIOS_DEBUG, "0x%x: BAD DEVICE bus %d devfn 0x%x\n",
+				printk(DEBUG, "0x%x: BAD DEVICE bus %d devfn 0x%x\n",
 				     func, bus, devfn);
 				// idiots. the pcibios guys assumed you'd never pass a bad bus/devfn!
 				*peax = PCIBIOS_BADREG;
@@ -709,14 +709,14 @@ pcibios(unsigned long *pedi, unsigned lo
 
 			if (retval)
 				retval = PCIBIOS_BADREG;
-			printk(BIOS_DEBUG, "0x%x: bus %d devfn 0x%x reg 0x%x val 0x%lx\n",
+			printk(DEBUG, "0x%x: bus %d devfn 0x%x reg 0x%x val 0x%lx\n",
 			     func, bus, devfn, reg, *pecx);
 			*peax = 0;
 			retval = 0;
 		}
 		break;
 	default:
-		printk(BIOS_ERR, "UNSUPPORTED PCIBIOS FUNCTION 0x%x\n", func);
+		printk(ERROR, "UNSUPPORTED PCIBIOS FUNCTION 0x%x\n", func);
 		break;
 	}
 
@@ -728,7 +728,7 @@ int handleint21(unsigned long *edi, unsi
 		unsigned long *ecx, unsigned long *eax, unsigned long *flags)
 {
 	int res = -1;
-	printk(BIOS_DEBUG, "handleint21, eax 0x%x\n", (u32)*eax);
+	printk(DEBUG, "handleint21, eax 0x%x\n", (u32)*eax);
 	switch (*eax & 0xffff) {
 	case 0x5f19:
 		break;
Index: svn/src/cpu/amd/mtrr/amd_mtrr.c
===================================================================
--- svn.orig/src/cpu/amd/mtrr/amd_mtrr.c
+++ svn/src/cpu/amd/mtrr/amd_mtrr.c
@@ -95,7 +95,7 @@ static void set_fixed_mtrr_resource(void
 	if (start_mtrr >= NUM_FIXED_RANGES) {
 		return;
 	}
-	printk(BIOS_DEBUG, "Setting fixed MTRRs(%d-%d) Type: WB, RdMEM, WrMEM\n",
+	printk(DEBUG, "Setting fixed MTRRs(%d-%d) Type: WB, RdMEM, WrMEM\n",
 		start_mtrr, last_mtrr);
 	set_fixed_mtrrs(start_mtrr, last_mtrr, MTRR_TYPE_WRBACK | MTRR_READ_MEM | MTRR_WRITE_MEM);
 	
@@ -116,9 +116,9 @@ void amd_setup_mtrrs(void)
 	wrmsr(SYSCFG_MSR, msr);
 	enable_cache();
 
-	printk(BIOS_DEBUG, "\n");
+	printk(DEBUG, "\n");
 	/* Initialized the fixed_mtrrs to uncached */
-	printk(BIOS_DEBUG, "Setting fixed MTRRs(%d-%d) type: UC\n", 
+	printk(DEBUG, "Setting fixed MTRRs(%d-%d) type: UC\n",
 		0, NUM_FIXED_RANGES);
 	set_fixed_mtrrs(0, NUM_FIXED_RANGES, MTRR_TYPE_UNCACHEABLE);
 
@@ -130,7 +130,7 @@ void amd_setup_mtrrs(void)
 	search_global_resources(
 		IORESOURCE_MEM | IORESOURCE_CACHEABLE, IORESOURCE_MEM | IORESOURCE_CACHEABLE,
 		set_fixed_mtrr_resource, &state);
-	printk(BIOS_DEBUG, "DONE fixed MTRRs\n");
+	printk(DEBUG, "DONE fixed MTRRs\n");
 
 	if (state.mmio_basek > state.tomk) {
 		state.mmio_basek = state.tomk;
Index: svn/src/cpu/amd/quadcore/amd_sibling.c
===================================================================
--- svn.orig/src/cpu/amd/quadcore/amd_sibling.c
+++ svn/src/cpu/amd/quadcore/amd_sibling.c
@@ -114,7 +114,7 @@ u32 get_apicid_base(u32 ioapic_num)
 
 	if((apicid_base+ioapic_num-1)>0xf) {
 		// We need to enable APIC EXT ID
-		printk(BIOS_SPEW, "if the IO APIC device doesn't support 256 apic id, \n you need to set CONFIG_ENABLE_APIC_EXT_ID in MB Option.lb so you can spare 16 id for ioapic\n");
+		printk(SPEW, "if the IO APIC device doesn't support 256 apic id, \n you need to set CONFIG_ENABLE_APIC_EXT_ID in MB Option.lb so you can spare 16 id for ioapic\n");
 		enable_apic_ext_id(sysconf.nodes);
 	}
 
Index: svn/src/cpu/amd/quadcore/quadcore.c
===================================================================
--- svn.orig/src/cpu/amd/quadcore/quadcore.c
+++ svn/src/cpu/amd/quadcore/quadcore.c
@@ -59,7 +59,7 @@ static void real_start_other_core(u32 no
 {
 	u32 dword, i;
 
-	printk(BIOS_DEBUG, "Start other core - nodeid: %02x  cores: %02x\n", nodeid, cores);
+	printk(DEBUG, "Start other core - nodeid: %02x  cores: %02x\n", nodeid, cores);
 
 	/* set PCI_DEV(0, 0x18+nodeid, 3), 0x44 bit 27 to redirect all MC4
 	   accesses and error logging to core0 */
@@ -88,7 +88,7 @@ static void start_other_cores(void)
 
 	// disable quad_core
 	if (read_option(CMOS_VSTART_quad_core, CMOS_VLEN_quad_core, 0) != 0)  {
-		printk(BIOS_DEBUG, "Skip additional core init\n");
+		printk(DEBUG, "Skip additional core init\n");
 		return;
 	}
 
@@ -96,7 +96,7 @@ static void start_other_cores(void)
 
 	for (nodeid = 0; nodeid < nodes; nodeid++) {
 		u32 cores = get_core_num_in_bsp(nodeid);
-		printk(BIOS_DEBUG, "init node: %02x  cores: %02x \n", nodeid, cores);
+		printk(DEBUG, "init node: %02x  cores: %02x \n", nodeid, cores);
 		if (cores > 0) {
 			real_start_other_core(nodeid, cores);
 		}
Index: svn/src/cpu/amd/sc520/sc520.c
===================================================================
--- svn.orig/src/cpu/amd/sc520/sc520.c
+++ svn/src/cpu/amd/sc520/sc520.c
@@ -37,9 +37,9 @@ static void cpu_init(device_t dev) 
   unsigned long *l = (unsigned long *) 0xfffef088;
   int i;
   for(i = 0; i < 16; i++, l++)
-    printk(BIOS_ERR, "Par%d: 0x%lx\n", i, *l);
+    printk(ERROR, "Par%d: 0x%lx\n", i, *l);
 
-  printk(BIOS_SPEW, "SC520 random fixup ...\n");
+  printk(SPEW, "SC520 random fixup ...\n");
 }
 
 
@@ -50,14 +50,14 @@ static void cpu_init(device_t dev) 
 static void sc520_enable_resources(struct device *dev) {
 	unsigned char command;
 
-	printk(BIOS_SPEW, "%s\n", __func__);
+	printk(SPEW, "%s\n", __func__);
         command = pci_read_config8(dev, PCI_COMMAND);
-        printk(BIOS_SPEW, "========>%s, command 0x%x\n", __func__, command);
+        printk(SPEW, "========>%s, command 0x%x\n", __func__, command);
         command |= PCI_COMMAND_MEMORY | PCI_COMMAND_PARITY | PCI_COMMAND_SERR;
-        printk(BIOS_SPEW, "========>%s, command 0x%x\n", __func__, command);
+        printk(SPEW, "========>%s, command 0x%x\n", __func__, command);
         pci_write_config8(dev, PCI_COMMAND, command);
         command = pci_read_config8(dev, PCI_COMMAND);
-        printk(BIOS_SPEW, "========>%s, command 0x%x\n", __func__, command);
+        printk(SPEW, "========>%s, command 0x%x\n", __func__, command);
 /*
  */
 
@@ -101,7 +101,7 @@ static void ram_resource(device_t dev, u
         unsigned long basek, unsigned long sizek)
 {
         struct resource *resource;
-	printk(BIOS_SPEW, "%s sizek 0x%lx\n", __func__, sizek);
+	printk(SPEW, "%s sizek 0x%lx\n", __func__, sizek);
         if (!sizek) {
                 return;
         }
@@ -127,14 +127,14 @@ static uint32_t find_pci_tolm(struct bus
 {
 	struct resource *min;
 	uint32_t tolm;
-  printk(BIOS_SPEW, "%s\n", __func__);
+  printk(SPEW, "%s\n", __func__);
 	min = 0;
 	search_bus_resources(bus, IORESOURCE_MEM, IORESOURCE_MEM, tolm_test, &min);
 	tolm = 0xffffffffUL;
 	if (min && tolm > min->base) {
 		tolm = min->base;
 	}
-  printk(BIOS_SPEW, "%s returns 0x%x\n", __func__, tolm);
+  printk(SPEW, "%s returns 0x%x\n", __func__, tolm);
 	return tolm;
 }
 
@@ -142,7 +142,7 @@ static void pci_domain_set_resources(dev
 {
 	device_t mc_dev;
         uint32_t pci_tolm;
-  printk(BIOS_SPEW, "%s\n", __func__);
+  printk(SPEW, "%s\n", __func__);
         pci_tolm = find_pci_tolm(&dev->link[0]);
 	mc_dev = dev->link[0].children;
 	if (mc_dev) {
@@ -163,10 +163,10 @@ static void pci_domain_set_resources(dev
 			if (reg > rambits)
 				rambits = reg;
 			if (reg < rambits)
-				printk(BIOS_ERR, "ERROR! register 0x%x is not set!\n", 
+				printk(ERROR, "ERROR! register 0x%x is not set!\n",
 					ramregs[i]);
 		}
-		printk(BIOS_DEBUG, "I would set ram size to 0x%x Kbytes\n", (rambits)*8*1024);
+		printk(DEBUG, "I would set ram size to 0x%x Kbytes\n", (rambits)*8*1024);
 		tomk = rambits*8*1024;
 #endif
 		tomk = 32 * 1024;
@@ -187,20 +187,20 @@ static void pci_domain_set_resources(dev
 #if 0
 void sc520_enable_resources(device_t dev) {
 
-	printk(BIOS_SPEW, "%s\n", __func__);
-	printk(BIOS_SPEW, "THIS IS FOR THE SC520 =============================\n");
+	printk(SPEW, "%s\n", __func__);
+	printk(SPEW, "THIS IS FOR THE SC520 =============================\n");
 
 /*
 	command = pci_read_config8(dev, PCI_COMMAND);
-	printk(BIOS_SPEW, "%s, command 0x%x\n", __func__, command);
+	printk(SPEW, "%s, command 0x%x\n", __func__, command);
 	command |= PCI_COMMAND_MEMORY;
-	printk(BIOS_SPEW, "%s, command 0x%x\n", __func__, command);
+	printk(SPEW, "%s, command 0x%x\n", __func__, command);
 	pci_write_config8(dev, PCI_COMMAND, command);
 	command = pci_read_config8(dev, PCI_COMMAND);
-	printk(BIOS_SPEW, "%s, command 0x%x\n", __func__, command);
+	printk(SPEW, "%s, command 0x%x\n", __func__, command);
  */
 	enable_childrens_resources(dev);
-	printk(BIOS_SPEW, "%s\n", __func__);
+	printk(SPEW, "%s\n", __func__);
 }
 #endif
 
@@ -221,7 +221,7 @@ static struct device_operations pci_doma
 #if 0
 static void cpu_bus_init(device_t dev)
 {
-  printk(BIOS_SPEW, "cpu_bus_init\n");
+  printk(SPEW, "cpu_bus_init\n");
 }
 
 static void cpu_bus_noop(device_t dev)
@@ -239,7 +239,7 @@ static struct device_operations cpu_bus_
 
 static void enable_dev(struct device *dev)
 {
-  printk(BIOS_SPEW, "%s\n", __func__);
+  printk(SPEW, "%s\n", __func__);
         /* Set the operations if it is a special bus type */
         if (dev->path.type == DEVICE_PATH_PCI_DOMAIN) {
                 dev->ops = &pci_domain_ops;
Index: svn/src/cpu/intel/hyperthreading/intel_sibling.c
===================================================================
--- svn.orig/src/cpu/intel/hyperthreading/intel_sibling.c
+++ svn/src/cpu/intel/hyperthreading/intel_sibling.c
@@ -31,7 +31,7 @@ void intel_sibling_init(device_t cpu)
 	}
 
 #if 1
-	printk(BIOS_DEBUG, "CPU: %u %d siblings\n",
+	printk(DEBUG, "CPU: %u %d siblings\n",
 		cpu->path.apic.apic_id,
 		siblings);
 #endif
@@ -61,14 +61,14 @@ void intel_sibling_init(device_t cpu)
 		}
 
 #if 1
-		printk(BIOS_DEBUG, "CPU: %u has sibling %u\n", 
+		printk(DEBUG, "CPU: %u has sibling %u\n",
 			cpu->path.apic.apic_id,
 			new->path.apic.apic_id);
 #endif
 		/* Start the new cpu */
 		if (!start_cpu(new)) {
 			/* Record the error in cpu? */
-			printk(BIOS_ERR, "CPU %u would not start!\n",
+			printk(ERROR, "CPU %u would not start!\n",
 				new->path.apic.apic_id);
 		}
 	}
Index: svn/src/cpu/intel/model_1067x/model_1067x_init.c
===================================================================
--- svn.orig/src/cpu/intel/model_1067x/model_1067x_init.c
+++ svn/src/cpu/intel/model_1067x/model_1067x_init.c
@@ -210,7 +210,7 @@ static void model_1067x_init(device_t cp
 
 	/* Print processor name */
 	fill_processor_name(processor_name);
-	printk(BIOS_INFO, "CPU: %s.\n", processor_name);
+	printk(INFO, "CPU: %s.\n", processor_name);
 
 #if CONFIG_USBDEBUG_DIRECT
 	// Is this caution really needed?
Index: svn/src/cpu/intel/model_106cx/cache_as_ram_disable.c
===================================================================
--- svn.orig/src/cpu/intel/model_106cx/cache_as_ram_disable.c
+++ svn/src/cpu/intel/model_106cx/cache_as_ram_disable.c
@@ -40,10 +40,10 @@ void stage1_main(unsigned long bist)
         	        "movl   %%esp, %0\n\t"
 	                : "=a" (v_esp)
 	        );
-	        printk(BIOS_SPEW, "v_esp=%08x\n", v_esp);
+	        printk(SPEW, "v_esp=%08x\n", v_esp);
         }
 
-        printk(BIOS_SPEW, "cpu_reset = %08x\n",cpu_reset);
+        printk(SPEW, "cpu_reset = %08x\n",cpu_reset);
 
 	if(cpu_reset == 0) {
 	        print_spew("Clearing initial memory region: ");
Index: svn/src/cpu/intel/model_106cx/model_106cx_init.c
===================================================================
--- svn.orig/src/cpu/intel/model_106cx/model_106cx_init.c
+++ svn/src/cpu/intel/model_106cx/model_106cx_init.c
@@ -171,7 +171,7 @@ static void model_106cx_init(device_t cp
 
 	/* Print processor name */
 	fill_processor_name(processor_name);
-	printk(BIOS_INFO, "CPU: %s.\n", processor_name);
+	printk(INFO, "CPU: %s.\n", processor_name);
 
 #if CONFIG_USBDEBUG_DIRECT
 	// Is this caution really needed?
Index: svn/src/cpu/intel/model_6ex/cache_as_ram_disable.c
===================================================================
--- svn.orig/src/cpu/intel/model_6ex/cache_as_ram_disable.c
+++ svn/src/cpu/intel/model_6ex/cache_as_ram_disable.c
@@ -41,11 +41,11 @@ void stage1_main(unsigned long bist)
         	"movl   %%esp, %0\n"
 		: "=a" (v_esp)
 	);
-	printk(BIOS_SPEW, "v_esp=%08x\n", v_esp);
+	printk(SPEW, "v_esp=%08x\n", v_esp);
 #endif
 
-        printk(BIOS_SPEW, "cpu_reset = %08x\n", cpu_reset);
-	printk(BIOS_SPEW, "No cache as ram now - ");
+        printk(SPEW, "cpu_reset = %08x\n", cpu_reset);
+	printk(SPEW, "No cache as ram now - ");
 
 	/* store cpu_reset to ebx */
         __asm__ volatile (
@@ -85,5 +85,5 @@ void stage1_main(unsigned long bist)
 	}
 
 	/* We will not return */
-	printk(BIOS_DEBUG, "sorry. parachute did not open.\n");
+	printk(DEBUG, "sorry. parachute did not open.\n");
 }
Index: svn/src/cpu/intel/model_6ex/model_6ex_init.c
===================================================================
--- svn.orig/src/cpu/intel/model_6ex/model_6ex_init.c
+++ svn/src/cpu/intel/model_6ex/model_6ex_init.c
@@ -200,7 +200,7 @@ static void model_6ex_init(device_t cpu)
 
 	/* Print processor name */
 	fill_processor_name(processor_name);
-	printk(BIOS_INFO, "CPU: %s.\n", processor_name);
+	printk(INFO, "CPU: %s.\n", processor_name);
 
 #if CONFIG_USBDEBUG_DIRECT
 	// Is this caution really needed?
Index: svn/src/cpu/intel/model_6fx/cache_as_ram_disable.c
===================================================================
--- svn.orig/src/cpu/intel/model_6fx/cache_as_ram_disable.c
+++ svn/src/cpu/intel/model_6fx/cache_as_ram_disable.c
@@ -38,13 +38,13 @@ void stage1_main(unsigned long bist)
         	"movl   %%esp, %0\n"
 		: "=a" (v_esp)
 	);
-	printk(BIOS_SPEW, "v_esp=%08x\n", v_esp);
+	printk(SPEW, "v_esp=%08x\n", v_esp);
 #endif
 
 cpu_reset_x:
 
-        printk(BIOS_SPEW, "cpu_reset = %08x\n", cpu_reset);
-	printk(BIOS_SPEW, "No cache as ram now - ");
+        printk(SPEW, "cpu_reset = %08x\n", cpu_reset);
+	printk(SPEW, "No cache as ram now - ");
 
 	/* store cpu_reset to ebx */
         __asm__ volatile (
@@ -84,5 +84,5 @@ cpu_reset_x:
 	}
 
 	/* We will not return */
-	printk(BIOS_DEBUG, "sorry. parachute did not open.\n");
+	printk(DEBUG, "sorry. parachute did not open.\n");
 }
Index: svn/src/cpu/intel/model_6fx/model_6fx_init.c
===================================================================
--- svn.orig/src/cpu/intel/model_6fx/model_6fx_init.c
+++ svn/src/cpu/intel/model_6fx/model_6fx_init.c
@@ -227,7 +227,7 @@ static void model_6fx_init(device_t cpu)
 
 	/* Print processor name */
 	fill_processor_name(processor_name);
-	printk(BIOS_INFO, "CPU: %s.\n", processor_name);
+	printk(INFO, "CPU: %s.\n", processor_name);
 
 #if CONFIG_USBDEBUG_DIRECT
 	// Is this caution really needed?
Index: svn/src/cpu/intel/speedstep/acpi.c
===================================================================
--- svn.orig/src/cpu/intel/speedstep/acpi.c
+++ svn/src/cpu/intel/speedstep/acpi.c
@@ -56,7 +56,7 @@ static int get_fsb(void)
 		case 3: return 166;
 		case 5: return 100;
 	}
-	printk(BIOS_DEBUG, "Warning: No supported FSB frequency. Assuming 200MHz\n");
+	printk(DEBUG, "Warning: No supported FSB frequency. Assuming 200MHz\n");
 	return 200;
 }
 
@@ -68,7 +68,7 @@ void generate_cpu_entries(void)
 	int totalcores = determine_total_number_of_cores();
 	int cores_per_package = (cpuid_ebx(1)>>16) & 0xff;
 	int numcpus = totalcores/cores_per_package; // this assumes that all CPUs share the same layout
-	printk(BIOS_DEBUG, "Found %d CPU(s) with %d core(s) each.\n", numcpus, cores_per_package);
+	printk(DEBUG, "Found %d CPU(s) with %d core(s) each.\n", numcpus, cores_per_package);
 
 	for (cpuID=1; cpuID <=numcpus; cpuID++) {
 		for (coreID=1; coreID<=cores_per_package; coreID++) {
@@ -93,7 +93,7 @@ void generate_cpu_entries(void)
 			int vid_max=msr.lo & 0x3f;
 			int clock_max=get_fsb()*busratio_max;
 			int clock_min=get_fsb()*busratio_min;
-			printk(BIOS_DEBUG, "clocks between %d and %d MHz.\n", clock_min, clock_max);
+			printk(DEBUG, "clocks between %d and %d MHz.\n", clock_min, clock_max);
 #define MEROM_MIN_POWER 16000
 #define MEROM_MAX_POWER 35000
 			int power_max=MEROM_MAX_POWER;
@@ -104,7 +104,7 @@ void generate_cpu_entries(void)
 				busratio_step <<= 1;
 				num_states >>= 1;
 			}
-			printk(BIOS_DEBUG, "adding %x P-States between busratio %x and %x, incl. P0\n", num_states+1, busratio_min, busratio_max);
+			printk(DEBUG, "adding %x P-States between busratio %x and %x, incl. P0\n", num_states+1, busratio_min, busratio_max);
 			int vid_step=(vid_max-vid_min)/num_states;
 			int power_step=(power_max-power_min)/num_states;
 			int clock_step=(clock_max-clock_min)/num_states;
